# `turtleBeads`

A library that provides some convenient functions for drawing shapes
using Python's built-in turtle graphics. These shapes are drawn centered
on the cursor, and are thus analogous to beads on a string.

It also provides a few different convenience functions like `leap` and
`hop` which help move around without drawing, and augments the built-in
turtle functions causing them to print out a description of what they
draw, with functions `describeAs` and `endDescription` allowing for
custom text descriptions of complex shapes.

Designed by Peter Mawhorter.


## Dependencies

None.


## Installing

To install from PyPI, run the following command on the command-line:

```sh
python -m pip install turtleBeads
```

Once it's installed, you can run the built-in examples using:

```sh
python -m turtleBeads
```

## Documentation

See [the
documentation](https://cs.wellesley.edu/~pmwh/turtleBeads/docs/turtleBeads)
for more details on how to use it and what each function does.
